function movies(path, name, frame)

list = ls(strcat(path,filesep,'*.jpg'));
s = size(list);

for j = 1 : 1
  for i = 1 : s(1)
    file = strcat(path,filesep,list(i,:));
    if j == 1
      fprintf(1, '%s\n', file);
    end
    [A, ~] = imread(file);
    M(((j-1)*s(1))+i) = im2frame(A);
  end
end


% % use 1st frame to get dimensions
% [h, w, p] = size(M(1).cdata);
% 
% hf = figure; 
% % resize figure based on frame's w x h, and place at (150, 150)
% set(hf,'Position', [150 150 w h]);
% axis off
% %movie(M,20);
% close(hf)
fprintf(1, '\n%s - Processing %s\n\n', datestr(now),strcat(path,filesep,name));
%writerObj = VideoWriter(strcat(path,filesep,name), 'MPEG-4');
writerObj = VideoWriter(strcat(path,filesep,name,'.avi'));
writerObj.FrameRate = frame;
open(writerObj);
writeVideo(writerObj, M);
close(writerObj);

exit
