% script de traitement manuel des coupes CTD pour PIRATA-FR24

%Radiale 10S - 1.30N - 10W: 0-2500-500m

debut = 4; fin = 27;

%TEMP:
plot_section('LATX','TEMP','profils',[debut:fin],'methode','contourf',...
 'Interpol',10,'Vertical',[0 250;250 2000],'Contour',[0:1:30],'Pas',5,...
  'label','on','ClabelSpec','auto','ProfilSpec','on',...
  'Print',{'png','PIRATA-FR24-CTD-radiale-TEMP-10S-1-30N_10W'} )

%PSAL:
plot_section('LATX','PSAL','profils',[debut:fin],'methode','contourf',...
  'Interpol',10,'Vertical',[0 250;250 2000],'Contour',[31:.1:37],'Pas',.5,...
 'label','on','ClabelSpec','auto','ProfilSpec','on',...
 'Print',{'png','PIRATA-FR24-CTD-radiale-PSAL-10S-1-30N_10W'} )

%DOX2:
plot_section('LATX','DOX2','profils',[debut:fin],'methode','contourf',...
  'Interpol',10,'Vertical',[0 250;250 2000],'Contour',[20:10:220],'Pas',50,...
  'label','on','ClabelSpec','auto','ProfilSpec','on',...
  'Print',{'png','PIRATA-FR24-CTD-radiale-DOX2-10S-1-30N_10W'} )

%DENS:
plot_section('LATX','DENS','profils',[debut:fin],'methode','contourf',...
  'Interpol',10,'Vertical',[0 250;250 2000],'Contour',[20:.5:30],'Pas',1,...
  'label','on','ClabelSpec','auto','ProfilSpec','on',...
  'Print',{'png','PIRATA-FR24-CTD-radiale-DENS-10S-1-30N_10W'} )

%Radiale 4W - 6S/1.30N: 0-250 e 250-2000
debut = 33; fin = 48;

%TEMP:
plot_section('LATX','TEMP','profils',[debut:fin],'methode','contourf',...
  'Interpol',10,'Vertical',[0 250;250 2000],'Contour',[0:1:30],'Pas',5,...
  'label','on','ClabelSpec','auto','ProfilSpec','on',...
  'Print',{'png','PIRATA-FR24-CTD-radiale-TEMP-6S-2N_4W'} )

%PSAL:
plot_section('LATX','PSAL','profils',[debut:fin],'methode','contourf',...
  'Interpol',10,'Vertical',[0 250;250 2000],'Contour',[31:.1:37],'Pas',.5,...
  'label','on','ClabelSpec','auto','ProfilSpec','on',...
  'Print',{'png','PIRATA-FR24-CTD-radiale-PSAL-6S-2N_4W'} )

%DOX2:
plot_section('LATX','DOX2','profils',[debut:fin],'methode','contourf',...
  'Interpol',10,'Vertical',[0 250;250 2000],'Contour',[20:10:220],'Pas',50,...
  'label','on','ClabelSpec','auto','ProfilSpec','on',...
  'Print',{'png','PIRATA-FR24-CTD-radiale-DOX2-6S-2N_4W'} )

%DENS:
plot_section('LATX','DENS','profils',[debut:fin],'methode','contourf',...
  'Interpol',10,'Vertical',[0 250;250 2000],'Contour',[20:.5:30],'Pas',1,...
  'label','on','ClabelSpec','auto','ProfilSpec','on',...
  'Print',{'png','PIRATA-FR24-CTD-radiale-DENS-6S-2N_4W'} )


